Download it now!
Bug 91424 - handling of relative references in OOXML range names
Summary: handling of relative references in OOXML range names
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: XLSX Cell-Reference
  Show dependency treegraph
 
Reported: 2015-05-21 08:24 UTC by Markus Mohrhard
Modified: 2019-12-03 14:38 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
old patch attempt (5.63 KB, patch)
2015-05-21 09:25 UTC, Markus Mohrhard
Details
automated import test for it (9.40 KB, patch)
2015-05-21 09:26 UTC, Markus Mohrhard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Mohrhard 2015-05-21 08:24:21 UTC
relative references in range names are not handled correctly as they depend on wrapping references.
Comment 1 Markus Mohrhard 2015-05-21 09:25:50 UTC
Created attachment 115764 [details]
old patch attempt

Was a wrong idea. Just included for completeness.
Comment 2 Markus Mohrhard 2015-05-21 09:26:44 UTC
Created attachment 115765 [details]
automated import test for it

Test is failing even with aforementioned patch.
Comment 3 QA Administrators 2016-09-20 09:42:46 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2019-12-03 14:38:37 UTC
Dear Markus Mohrhard,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug